Download file content

Downloads the content of a file.

GET
/v1/files/{file_id}/content
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

file_idstring

The ID of the file

Query Parameters

providerstring

The provider of the file

Value in"openai" | "azure" | "anthropic" | "bedrock" | "cohere" | "vertex" | "vllm" | "mistral" | "ollama" | "groq" | "sgl" | "parasail" | "perplexity" | "replicate" | "cerebras" | "gemini" | "openrouter" | "elevenlabs" | "huggingface" | "nebius" | "xai" | "runway" | "fireworks"

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/v1/files/string/content?provider=openai"
"string"
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings